# EditWorkspaceGitSyncConfigData | windmill-client
Documentation for windmill-client

# Type Alias EditWorkspaceGitSyncConfigData

EditWorkspaceGitSyncConfigData: {
requestBody: {
git_sync_settings?: WorkspaceGitSyncSettings ;
};
workspace: string;
}

#### Type declaration

- ##### requestBody: {
  git_sync_settings?: WorkspaceGitSyncSettings ;
  }

  Workspace Git sync settings

  - ##### `Optional` git_sync_settings?: WorkspaceGitSyncSettings

- ##### workspace: string

- Defined in src/types.gen.ts:1882